Label[type=StereotypeLabel]{
	visible: false;
}

* {
	fillColor: white;
	gradient: none;
}

ActivityPartition[appliedStereotypes~=GaStep] {
	fillColor: #FEF2AD;
	gradient: #FFFEFA vertical;
	shadow:true;
	elementIcon: true;
}

ActivityPartition[appliedStereotypes~=SymbolComputingResource] {
	elementIcon: true;
}

ActivityPartition[appliedStereotypes~=SaStep] {
	fillColor: #8DD38D;
	gradient: #A9DDA9 vertical;
	shadow:true;
}

ActivityPartition[appliedStereotypes~=SymbolSchedulableResource] {
	elementIcon: true;
}

OpaqueAction[appliedStereotypes~=SaStep] {
	fillColor: #8AC5FF;
	lineColor: #6885A2;
}

OpaqueAction[appliedStereotypes~=GaAcqStep] {
	fillColor: #9F7EE2;
}

OpaqueAction[appliedStereotypes~=SymbolMutualExclusionResource] {
	elementIcon: true;
}

OpaqueAction[appliedStereotypes~=GaStep] {
	fillColor: #F68B8B;
	lineColor: #F35A5A;
}

OpaqueAction[appliedStereotypes~=SymbolDelay] {	
	elementIcon: true;
}

InputPin > Label,
OutputPin > Label {
	visible: false;
}

Constraint {
	fillColor: #FFF5B5;
}

Constraint[appliedStereotypes~=SymbolRealTimeObservation],
Constraint[appliedStereotypes~=SymbolEndToEndFlow] {
	elementIcon: true;
}

/*Constraint > Label[type=StereotypeLabel]{
	visible: true;
}*/

OpaqueAction[appliedStereotypes~=GaWorkloadEvent] {
	imagePath: "platform:/plugin/org.eclipse.papyrus.designer.realtime.ui/images/periodic.png";
	displayBorder: false;
	displayName: false;
}

OpaqueAction[appliedStereotypes~=GaWorkloadEvent] > Compartment[kind="symbol"] {
    visible: true;
}
/*
OpaqueAction[appliedStereotypes~=GaWorkloadEvent] > Compartment[kind="name"] {
    visible: false;
}

Compartment[stereotype="MARTE::MARTE_AnalysisModel::GQAM::GaWorkloadEvent"][type=StereotypeCompartment] > [property="generator"] {
	visible:false;
}

Compartment[stereotype="MARTE::MARTE_AnalysisModel::GQAM::GaWorkloadEvent"][type=StereotypeCompartment] > [property="trace"] {
	visible:false;
}

Compartment[stereotype="MARTE::MARTE_AnalysisModel::GQAM::GaWorkloadEvent"][type=StereotypeCompartment] > [property="effect"] {
	visible:false;
}

Compartment[stereotype="MARTE::MARTE_AnalysisModel::GQAM::GaWorkloadEvent"][type=StereotypeCompartment] > [property="timedEvent"] {
	visible:false;
} */

ControlFlow,
ObjectFlow {
	routing: Rectilinear;
	roundedBendpointsRadius: 20;
}

ControlFlow > Label,
ObjectFlow > Label {
	visible: false;
}